package com.tencent.mm.plugin.wallet_core.model;

import com.google.android.gms.common.internal.ImagesContract;
import com.tencent.matrix.trace.core.AppMethodBeat;
import org.json.JSONObject;

public class q$a {
    public String name;
    public String pia;
    public String title;
    public int type;
    public String tzS;
    public String tzT;
    public String url;

    public final void aA(JSONObject jSONObject) {
        AppMethodBeat.i(46790);
        this.url = jSONObject.optString(ImagesContract.URL);
        this.name = jSONObject.optString("wording");
        this.pia = jSONObject.optString("icon");
        this.tzS = jSONObject.optString("btn_text");
        this.type = jSONObject.optInt("type");
        this.title = jSONObject.optString("title");
        this.tzT = jSONObject.optString("small_title");
        AppMethodBeat.o(46790);
    }
}
